2015-06-24 - 0.52.0

	* Fix bug #23508 : Make the preference dialog a bit wider. Remove deprecated widgets.
	* Fix bug #23508 : Make the preference dialog a bit wider, wrap text.
	* Fix bug #23502 : Allow display of subtitles elsewhere but at the bottom.
	* Fix bug #22657 : Please install the supplied AppData file.
	* Fix bug #20214 : Checking CPS is named "Display time" (Patch by Tomáš Hnyk)
	* Fix bug #23470 : Style editor does not permit margins to go over 100 and other problems
	* Fix bug #23521 : Videos, waveform and keyframe files drag'n'dropped do not show up in recently opened
	* Fix bug #23569 : Cursor cannot be moved with mouse when editing subtitles.
	* Fix bug #23622 : Make autosave setting in preferences work and other improvements. (Patch by Tomáš Hnyk)
	* Fix bug #23529 : Impossible to change styles of several subtitles at once.
	* Fix bug #23588 : Name Subtitle Editor project files something else but name.xml.
	* Fix bug #23656 : String "wavefrom" (inted of "waveform") in some locations
	* Fix bug #23660 : Keyboard shortcuts window is to small by default. (Patch by Tomáš Hnyk)
	* Fix bug #23470 : Style editor does not permit margins to go over 100 and other problems. (Patch by Tomáš Hnyk)

2015-04-18 - 0.51.0

	* Fix bug #23148 : Default to video file name when saving new subtitles.
	* Fix bug #23148 : Create new untilted name with extension.
	* Fix bug #20672 : Automatically put the extension when saving a project file
	* Fix bug #22476 : Remember video and waveform window size
	* Fix bug #23476 : Allow configuring the delay for external player, add #time and #mseconds
	* Fix bug #23476 : Add preference close button
	* Fix bug #20170 : "Video"/"Timing from player" with an offset
	* Fix bug #23486 : Remember window size.
	* Fix bug #23486 : Remember window size, work with gtkmm 3.10 and 3.12
	* Fix bug #20170 : "Video"/"Timing from player" with an offset - only if playing
	* Fix bug #23317 : Character & messes up subtitle preview
	* Fix bug #23471 : Problems when saving into ASS - rename Actor with Name
	* Fix bug #23471 : Problems when saving into ASS - Save PlayResX/Y from screen resolution.
	* Fix missing comboboxtextcolumns.h file

2015-04-11 - 0.50.0

	* Port to gtk3 (gtkmm-3.0 >= 3.0)
	* Port to gstreamer 1.0 (gstreamermm-1.0 >= 1.0)
	* Introduce new subtitle format Avid DS. Patch by Tomas Partl <eltomito>.
	* Introduce appdata file from Ankur Sinha (Fedora Maintainer).
	* Fix typo. Patch by Pete Beardmore.
	* Re-enable focus on entries. Patch by Pete Beardmore.
	* Extend regex remplacement using submatches. Patch by Pete Beardmore.
	* Fix segfault when we delete subtitle using find and replace (Original patch by Pete Beardmore)
	* Fix bug #22009 : Split subtitle file.
	* Fix bug #22406 : Bugs with GTk3 port (seeking by single frame).
	* Fix bug #22406 : Bugs with GTk3 port (Generating waveform does not work).
	* Fix bug #20557 : When working with subtitleeditor project, external player does not load it
	* Fix bug #22472 : Recent keyfroms files.
	* Fix bug #22471 : Drag and drop of keyframe and waveform files.
	* Fix bug #22490 : GTK3: view manager is useless.
	* Fix bug #22494 : Find and replace sohuld focus the "Pattern" filed when launche.
	* Fix bug #22857, bug #23018 patch from Philip Rinn and oi_wtf.
	* Fix bug #22550 : Default saving mode defaults to plain text after importing a .txt script
	* Fix bug #22508 : Use (at least optionaly) relative paths in subtitle editor xml files (and optionally ass and ssa?).
	* Fix bug #22492 : Crash when trying to open external player preferences.
	* Fix bug #22488 : Regression in spellchecker.
	* Fix bug #22493 : Move subtitles disallows moves by not multiplies of 0,100s.
	* Fix bug #22482 : Another regression of gtk3 port (waveform issue).
	* Fix bug #23151 : Using best fit subtitles on zero-length subtitles crashes subtitleeditor
	* Fix bug #22489 : Text correction does not remember which corrections to apply.
	* Fix bug #22489 : Text correction - ability to double click to swith enable status.
	* Fix bug #22489 : Text correction - save the config, on close, save and cancel.
	* Fix bug #23160 : Configure keyboard shortcuts does not fit hte window well.
	* Fix bug #23456 : GTK3 regression: add or remove encoding dialog is broken.
	* Update es.po translation by Bas <basiliscoazu>

2013-08-02 - 0.41.0

	* Fix bug #19700 : Add "select none" to Selection menu.
	* Fix bug #19629 : Requirements have changed. gstreamermm >= 0.10.6.
	* Fix bug #20529 : No way to close a waveform.
	* Fix bug #19590 : Allow drag and drop of video files.
	* Fix bug #20074 : Scene cut based keyframe detection. Patch by Martin Doucha.
	* Fix bug #19709 : In glib-2.32, glib/gregex.h cannot be included directly. Patch by Andre Reinke <andre.reinke>
	* Fix bug #19610 : CPS column too wide, translation column too narrow. Patch by Tomáš Hnyk.
	* Fix bug #20532 : Make find and replace dialog big enough by default. Patch by Tomáš Hnyk.
	* Fix bug #20441 : Spelling errors in manpage. Patch by Philip Rinn.

	Patch: Tomas Partl <eltomito>
	* Introduce new plugin clipboard. The 3 pillars of modern civilization.
	* Introduce new plugin bestfit.
	* Introduce new plugin minimizeduration.
	* Introduce new plugin stacksubtitles.
	* Automatic highlighting for all timing errors.
	* Reverse command for extendlength, minimizeduration, moveafterprecedingsubtitle, stacksubtitles.
	* Add seek to the selection end.
	* Add the ability to define the prefix of dialoguize plugin.
	* Add the ability to use blank line during import/export text.
	* Adds functions to move subtitle start and end by 1 frame.
	* Fix bug #19728 : Preferences window cannot be resized and decription of plugins do not fit in it.
	* Fix bug #20154 : CPS checking inconsistencyt.

2012-02-22 - 0.40.0

	* Add Video and Waveform recent files.
	* Add the default ASS/SSA style in the config file.
	* Introduce new subtitleformat 'dcsubtitle' - DLP Cinema Subtitle.
	* Add the ability to seek tiny. Pach by Sebastián Ventura <lomegor at gmail dot com>.
	* Add the ability to skip frame by frame. (Lilian request)
	* Fix bug #18905 : Clic molette. Button2 only move the cursor, play with Shift.
	* Fix bug #19268 : File Open: display uppercase extensions in file open dialog.
	* Fix bug #19023 : Assenseur / ligne active. Center in the view the current selection.
	* Fix bug #14663 : Feature Request: Cut Line.
	* Fix bug #18903 : Durée du sous-titre incorrecte.
	* Fix bug #18904 : Change framerate.
	* Fix bug #18697 : Cannot parse <font> tags in sami subtitles. Patch by Dongsu Park <advance38 at gmail dot com>
	* Fix bug #18381 : Fails to open srt file with co-ordinates in the first subtitle.
	* Fix bug #18449 : Encoding key is deprecated in share/subtitleeditor.desktop.in
	* Fix bug #18448 : Subtitleeditor should not handle MIME-Type "text/plain".
	* Fix bug #646371 (Debian) : broken handling of '<br />' tags.
	* Fix Failed to compile documentsnavigation.cc.
	* Fix Failed to compile sami.cc. No need ptr for Subtitle
	* Fix untranslated text.

2011-06-18 - 0.39.0

	* New subtitle format SAMI (Patch by Dongsu Park)
	* Fix bug #18010 : Feature request: keyboard shortcut for switching between	opened files. New plugin documentsnavigation.
	* Fix bug #17821 : Using capital N for linebreaks in ASS format.
	* Fix bug #17828 : Feature request: Create subtitles automatically according to keyframes.
	* Fix bug #17686 : CPS error detection, display CPS with colors.
	* Fix bug #17686 : set_subtitle_end_and_start (original patch by Tomas Partl <eltomito>)
	* Fix bug #17648 : Add new command to plugin TimingFromPlayer (original patch by Victor Cighir)

2011-01-10 - 0.38.0

	* Fix sort subtitles, speed improvements.
	* Fix bug #17231 : Opening SEP project wont open a Keyframes file automatically
	* Fix bug #17000 : Subtitles in MicroDVD format don't display correct
	* Fix bug #16898 : Feature request - movie fps detecting
	* Fix bug #16917 : scale option doesn't work correctly with frame-based subtitles
	* Fix bug #16524 : Broken character count (column translation)
	* Fix bug #16314 : Unable to set subtitle times after importing plain text
	* Fix English errors (patch by Pavel Dvořák)
	* Update of Czech translation by Pavel Dvořák
	* Update of Polish translation by Franciszek Janowski

2010-07-11 - 0.37.1

	* Fix bug #16016 (#16087) : segfault (divide by zero)
	* Add Bulgarian translation
	* Update de, es, gl, ru, tr and zh_CN translations

2010-07-03 - 0.37.0

	* Display the saving dialog after generating waveform or keyframes
	* Fix sr #2543 : Support for .stl file format (Spruce STL)
	* Fix bug #15942 : Default location in file select dialog (waveform and keyframes)
	* Fix bug #16121 : Feature request: add option to scale all subtitles (Orig. patch by Ludek <anomen>)
	* Fix bug #16058 : crash at "find and replace" with regexp
	* Fix bug #16016 : waveform segmentation fault
	* Code cleanup

2010-04-06 - 0.36.2

	* New subtitle format SBV
	* Small fixes (typo and HIG)
	* New Greek translation (by Manolis Stefanis)
	* Update French translation

2010-03-22 - 0.36.1

	* Reorganize the menu file with a sub-menu import and export
	* Fix bug #15525 : Video playback doesn't work
	* Fix bug #15374 : gtkmm-2.14 has not Gtk::Action set_stock_id
	* Fix bug #15464 : segfault on waveform generation
	* Fix build error with the WaveformRendererGL

2010-02-02 - 0.36.0

	* Two new plugins : sortsubtitles, typewriter
	* Update the extension of the filename when the format change (dialog save)
	* Add 'Open Project' and 'Save Project' in the menu File
	* Cleanup in the menu File
	* Improve Waveform Generator
	* Fix crash caused by the text correction tool
	* Fix an undesirable behavior with the cell editing
	* Fix leak caused by an uninitialized value (waveform)
	* Fix bug #14915 : Add the possibility of choice of an audio track to the player
	* Fix bug #15101 : Comments are not merged while merging subtitles
	* Fix bug #15085 : last subtitle remains visible after playing in video player
	* Fix bug #14651 : Subtitle sorting option. (see sortsubtitles plugin)

	Patch: Philip Jägensted
	* Fix bug #15084 : default to the document format when saving translations
	* Fix bug #15095 : gracefully exit if e.g. subtitleeditor.ui is missing
	* Fix bug #15032 : Update duration value after EOS signal (waveform generator)
	* Fix bug #15032 : stuck in infinite loop for bad duration and other problems with duration (waveform)

2009-12-31 - 0.35.1

	* Fix build error
	* Define gstreamermm version to 0.10.4

2009-12-30 - 0.35.0

	* Player completly rewrite
		* Switch to gstreamermm
		* Fix bug #14386 : Subtitle Editor Fails to Load any Video File (crash with XError)
	* Improve Waveform Editor
		* Improvement of the renderer by displaying keyframes before subtitles
		* Unusable, caused by the option 'respect the timing' when the next subtitle is at 0:00:00.000
	* Improve OSX support (need to be tested)
		* Add option --enable-osx
		* OSX video output added in the preferences
		* Add support of OSX in the player
	* Switch file reader/writer to gio(mm)
	* Fix sr #2449 : keyframe does'nt save - 0.34.0
	* Fix sr #2128 : Fix build with old gcc
	* Fix bug #14974 : More appropriate Video category for subtitleeditor.desktop (patch by Dan S <danstowell>)

2009-08-21 - 0.34.0

	* New plugin 'keyframesmanagement'
		* Keyframe generator
		* Snap to keyframe
	* Find And Replace Plugin completly rewrite with many improvements:
		* Can search in text and translation columns
		* Support multiple documents
		* Select modified subtitles
	* Waveform renderer can display 3 channels
	* Move waveform generator in waveformmanagement plugin
	* Switch from libglade(mm) to Gtk::Builder
	* Fix bug #13061 : Wave form barely usable with 5.1 channel audio
	
	* Translation:
	* Add Esperanto translation
	
	* Packager:
	* New dependence to gstreamermm-0.10 >= 0.10.4
	* Change dependence of enchant >= 1.4.0
	* Change dependence of gtkmm >= 2.14.0
	* Remove dependence of libglademm

2009-06-23 - 0.33.0

	* Fix: #13696 New action 'Generate Dummy Waveform'
	* Fix: #13271 Improve split subtitle (tag)
	* Fix: #13270 Improve split subtitle (multiline)
	* Fix: #12858 New format BITC
	* Fix: #12570 New plugin 'timingfromplayer' with new action 'Set Subtitle Start And End' 
	* Fix: #13656 ASS/SSA Make reading more robust to the invalid files
	* Translations update

2009-06-03 - 0.32.0

	* Add inline spellchecker capability to any textview (subtitle view, text correction...)
	* Spell Checking Plugin completely rewrite
		* Fix: #13211 Translation checking support
		* Fix: #13070 Spell checker should use 'sgml' filter to skip over HTML tags
		* Fix: #11567 Italics-codes are parsed to the spell-check
	* Text Correction Plugin
		* New Latn-fi pattern (Osmo Salomaa, Gaupol)
		* Select the modified subtitles
		* Extract capitalization pattern from common-error to capitalization.se-pattern
		* Fix: Maintain order of patterns with the same name
	* Add an option "Only selected subtitles" to "Move Subtitles"
	* Fix: #10439 Improve Subtitle Editor Project (selection, video, framerate...)
	* Fix: #7019 Black rectangle with the video player
	* Fix: #2341 Add option to don't disable the actions during editing
	* Fix: #13428 Change dependence of libxml++ >= 2.20 (packager)
	* Fix: #526155 (Debian bug) FTBFS with GCC 4.4: missing #include
	* Fix: 'play/pause' doesn't work after 'play selection'
	* Fix: Gtk warning adjustment with non-zero page size is deprecated
	* Fix: More robust with the wrong values of the points, display error messages (scalesubtitles)
	* Fix: icon in pixmaps directory

2009-04-22 - 0.31.0

	* New plugin 'textcorrection'
	* Fix: #12682 deleting a subtitle while playing throws segfault
	* Fix: #12649 subtitleeditor does not build with LDFLAGS='-Wl,--as-needed -Wl,--no-undefined'
	* Fix: #12847 Waveform creation from video causes a crash with file name contains spaces
	* Cleanup

	Patch: Luboš Staněk
	* Enable changing of default audio and video sink preferences in the build time
	* Add pulsesink to audio outputs and fix OSS sing ID

	Patch: Frank Luithle <sigi>
	* Fix: #13069 Error checker reports back-to-back subtitles as "overlapping"

2008-11-26 - 0.30.0

	* Each function work around extension system (enable/disable/configure)
	* Add 'Generate Wavefrom From Video'
	* Add line break policy option: soft, hard, intelligent (ASS/SSA)
	* Add 'Wavefrom & Media' filter in the wavefrom dialog
	* Add build option ccache
	* Fix: Subtitle saving with no UTF-8 system (locale)
	* Fix: Move subtitles added after the last original subtitle (Join Document)
	* Fix: Alpha channel support for ASS (#12566)
	* Fix: Allow opacity selection for Secondary, Outline and Shadow for ASS (#12569)
	* Fix: Don't reload the player if the file is the same
	* Fix: Catch enchant exception (spellchecking)
	* Fix: Missing m4/intltool.m4 (#12626)
	* Translations update
	* Cleanup (code & autohell)
	Special thanks to Luboš Staněk.

2008-11-02 - 0.26.0

	* New: Wiki http://kitone.free.fr/subtitleeditor/wiki/
	* Remove dependance of pcre, pcrecpp (packager)
	* Replace pcre by Glib::Regex
	* Fix: AdobeEncoreDVD multiple line reader
	* Fix: MicroDVD to SE tags
	* Fix: Add a default style if the document doesn't at least one when the file is saved (ASS/SSA)
	* Fix: ASS/SSA newline (patch by Robert Ramiega)
	* Fix: #12542 (https://gna.org/bugs/?12542)

2008-10-13 - 0.25.0

	* The subtitle format system was completely rewritten
		* Improve the encoding detection
		* Improve the newline support (Macintosh, Unix, Windows)
		* Fix: ASS/SSA time
		* Fix: SubViewer2 time
	* Improve the precision to the number of characters per second 
		(Subtitle View and Error Checking) (patch by spirit)
	* Update the UI when files are open.
	* Add option --enable-profiling
	* Fix: Error Checking with undo/redo support
	* Fix: Error Checking active list with "By Subtitles"
	* Fix: Minimum values in the Timing Preferences
	* Fix: Split the filename in the document tooltip
	* Fix: Column title and tooltip (Subtitle View)
	* Fix: Column alignment (Subtitle View)
	* Cleanup code

2008-09-25 - 0.24.1

	* Fix: Wrong line length and characters per second. (patch by spirit)
	* Fix: Newline at opening in SubRip format. (patch by spirit)
	* Fix: ComboBox outputs in the video player preferences.
	* Cleanup code.

2008-09-21 - 0.24.0

	* New Error Checking tool.
	* New options to set default document values.
	* Fix: Recent files freeze.
	* Cleanup code.
	* The Czech and French translations have been updated.
	
2008-09-04 - 0.23.0

	* Add "Edit Cell" and "Edit Next Cell".
	* Another characters coding can be selected if it fails.
	* Waveform Renderer use now Pango to draw subtitle text. 
	* Improve open/save errors.
	* Improve auto save files.
	* Improve document tooltip.
	* Fix: Blacklist some glibmm version in configure.in.
	* Fix: mime-types in desktop file.
	* Fix: Dependence to glibmm >= 2.16.3 and gtkmm >= 2.12.
	* Fix: Default values of Waveform Renderer.
	* Fix: Preference option to "display-subtitle-text".
	* Fix: Add "Current Locale" if encodings ifs empty.
	* Fix: The dialog "Save Document" select directly the default values from the document.
	* The Czech, French and Simplified Chinese translations have been updated.

	Special thanks to Luboš Staněk.

2008-08-14 - 0.22.3

	* Improve the speed accessibility of the menu at launch.
	* Many spelling fixes from Luboš Staněk.
	* Update Czech, French translations.

2008-08-12 - 0.22.2

	* Fix: Spelling errors.
	* Fix: Video/Audio output translation.
	* Fix: New translation string. 
	Patches by Luboš Staněk.

2008-08-10 - 0.22.1

	* Fix: Issue with gcc-4.3 and auto_ptr. Patch by Luboš Staněk.
	* Fix: dialog-character-codings.glade missing. Patch by Luboš Staněk.
	* Fix: Dialog parent.

2008-08-05 - 0.22.0

	* Add support of the frame editing.
	* Scale and Move Subtitles support the frame editing.
	* Add "Close Player" to Video Player #11938.
	* Add option "Used Ctrl+Enter to confirm the changed" #11893.
	* The preferences of character codings can be modified directly from the file chooser.
	* New dialog for managing the character codings.
	* Can open the video directly from the file chooser with the subtitle selected #11938.
	* The time widget has been improve and support the frame editing.
	* Fix: default option to mplayer (-noautosub).
	* Fix: Add untitled name after "Open Transcript".

2008-06-24 - 0.21.3

	* Add option -f --file for open a file (glibmm bugs).
	* Add MimeType in desktop file.
	* Update Czech translation.
	* Fix: Play/Pause button.
	* Fix: #10494.

2008-06-16 - 0.21.2

	* Add Russian translation.
	* Add manpage.
	* Add first tags support (MicroDVD).
	* Update translations.
	* Fix: subtitleeditor.desktop categories and add %F to Exec.
	* Fix: gettext plural support patch by petr pisar.

2008-05-20 - 0.21.1

	* Add format "Timed Text (TT) Authoring Format 1.0".
	* Improve gstreamer plugins missing message.
	* Display a message if the launch of the external player failed.
	* Update translation.
	* Fix: translation (gtk-*).
	* Fix: default config values.
	* Fix: segfault at start (Gdk::Pixbuf) #11449

2008-05-11 - 0.21.0

	* Application
		* New View Manager (columns).
		* Add "Save All".
	* Video Player
		* Use now playbin (gstreamer element)
		* Support of playback rate (fast motion, slow motion...).
		* Add Repeat (beta).
	* Waveform Editor
		* New architecture, support of multiple renderer.
			* WaveformRendererCairo : Speed Improvements.
			* WaveformRendererGL : New renderer using OpenGL disable by default.
		* Can choose to respect the timings preferences.
	* GStreamer support
		* Better error message when the plugin is missing.
	* Others
		* Fix: Segfault when open ASS/SSA files created by subtitleeditor.
		* Fix: Save ASS/SSA files. The encoding value is now write.
		* Add da, pt and zh_CN translations.
		* Update other translations.

2008-02-05 - 0.20.0
	* Add "Find Next" and "Find Previous"
	* Move glade files in share/glade
	* HIG improved

2008-01-27 - 0.20.0alpha9
	* It's possible to have multiple profile configuration with the option --profile
	*	Support of the document changed
	*	Ask to save the document on exit just if has changed
	* Add column "Characters Per Second" (cps)
	* Add "Reverse Text And Translation"
	* Add menu "Recent Files"
	* Add menu "Timings"
	* Code Cleanup (internal new PluginSystem)
	* Fix: debug options
	* Many fixes and improvements
	* The license was changed to GPLv3 or later.

2007-12-14 - 0.20.0alpha8
	+ can open subtitle files with drag-and-drop
	+ display subtitle text in waveform
	+ using document names as window title
	+ add "Italic"
	+ add "Dialogue"
	+ reorderer columns 
	+ TimeCell: the scroll button can be used for changed the value.
	* fix: (Split Subtitle) when the subtitle have two line, split the text between two subtitles
	* fix: column duration set start time
	* fix: popup menu in cell
	* fix: #10342 can't open video file (ogm, mkv...)
	* fix: #10384 new line

2007-11-10 - 0.20.0alpha7
	+ Change the order of subtitles (drag-and-drop)
	+ dialog: "Configure Keyboard Shortcuts" (menu Options)
	+ add menu "Selection"
	+ add "Select All"
	+ add "Invert Selection"
	+ add rubberband selection
	+ Scale: setting the default values for the first and the last depending on the selection
	* menu improved

2007-10-29 - 0.20.0alpha6 "Nobody is perfect"
	+ add Undo/Redo support
	+ open video and wf with subtitle (arg) (patch from Fredrik Tolf)
	+ add "Select First Subtitle"
	+ add "Select Last Subtitle"
	+ add "Duplicate entire line"
	+ add "Set Position After Preceding"
	+ add popup menu (subtitle view)
	+ add Styles to Subtitle Editor Project
	* fix: Deactivate the shortcuts when you are editing a text
	* code cleanup
		* Add class Subtitle, Subtitles, Style, Styles
		* Remove class SubtileModifier, StyleModifier

2007-10-04 - 0.20.0alpha5
	+ add "Combine Subtitles"
	+ add "Split Subtitle"
	+ add "Extend Length"
	+ Check Errors: color per error
	+ Change config method
	+ new color saving
	* improved config system
	* use now  XDG Base Directory Specification (~/.config/subtitleeditor/)
	* fix: Scale the subset of the subtitles (thanks Silent Star)
	* fix: encodings updated in file chooser
	* fix: subtitles loaders ignores lines that contains polish diacritic chars (thanks  Robert Ramiega)
	* fix: #10059 File dialog doesn't show files without extension
	* fix: #10061 Title editor field clears too easily
	* it.po: add Italian translation by Mancausoft
	* dialog preferences simplified
	* menu improved
	* code cleanup

2007-07-05 - 0.20.0alpha4
	+ waveform: display current time and duration of the selected subtitle when button is pushed
	+ waveform: scrolling with the selected subtitle now works correctly
	+ waveform: add zoom functions: In, Out, Selection, All
	+ waveform: add 'Center With Selected Subtitle'
	+ waveform: ctrl+left/right move time with previous/next subtitle time
	+ waveform: ctrl+middle button select subtitle
	+ waveform: Mouse left button set subtitle start
	+ waveform: Mouse left button with shift set subtitle start and after the end with motion
	+ waveform: improved
	+ waveform: keep settings of scale and zoom
	+ video player: add very short, medium... backwards/forward jump
	+ dialog check errors: add button preferences
	* fix: Insert Before/After respect min-gap-between-subtitle
	* fix: dialog 'find and replace' doesn't close with the cross (thanks Silent Star)
	* fix: add spin button in preferences for 'max characters per line' (thanks Silent Star)
	* fix: video player slider max
	* hu.po: update Hungarian translation by Ványi Norbert
	* enable debug by default (--debug-all, --debug-video-player ...)

2007-06-13 - 0.20.0alpha3
	+ spin button time: ctrl+scroll set minute
	+ added options: -v --video, -w --waveform, -e --encoding
	* fix: crash when config file doesn't exist with video player (thanks chantra)

2007-06-12 - 0.20.0alpha2 
	+ video player: design was simplified and improved (use now decodebin)
	+ video player: after "Set End Subtitle" can create next subtitle
	+ video player: "Play Previous/Next Subtitle" select subtitle
	+ video player: can choose output in the preferences
	+ video player: can display the translated subtitle instead of the original one
	+ video player: many fixes
	* fix: select keep the focus of the column (subtitle view)
	* fix: after delete subtitle, select previous subtitle
	* fix: show filter (dialog save) 
	* fix: Notebook scrollable (enable)
	* fix: subtitleeditor icons (scalable, 16x16, 24x24...)
	* fix: middle button in waveform system
	* fix: spell patch by Luboš Staněk
	* fix: Waveform reference/unreference
	* fix: remove SaveDocument.h/cc po/POTFILES.in
	* fix: create ~/.subtitleeditor (thanks Silent Star)
	* fix: Check Errors max characters per line (load config)
	* cs.po: update Czech translation by Luboš Staněk
	* hu.po: update Hungarian translation by Ványi Norbert
	* many fixes and improvements

2007-06-03 - 0.20.0alpha1 (big release)
	+ multiple document
	+ rewriting internal video player
	+ show now subtitle with video (gstreamer)
	+ add format Subtitle Editor Project (*.sep) (not finished)
	+ action to all documents
	+ subtitle view: can now center subtitle text
	+ subtitle view: characters per line to text and translate
	+ use now pcrecpp (RegEx)
	+ support newline (Unix/Windows)
	+ CheckErrors (overlapping, too short display time...)
	+ add "Set Subtitle Start/End" (video player)
	+ add menu item tooltip (statusbar)
	+ rewriting timing system
	+ add column note
	+ use now cairomm
	+	ui improved (scale ...)
	+ rewriting unit test
	+ video player : force-aspect-ratio
	+ add "Open/Save Translation"
	+ add "autosave" files every X minutes
	+ enable column search (num)
	* best gstreamer message error
	* fix: Regular Expression with SubtitleFormat
	* fix: Config \n

2007-04-25 - 0.13.5
	* fix: ASS/SSA loading (bug #8963)
	
2007-03-13 - 0.13.4
	* fix: subtitleeditor.png (about dialog) thanks Andrew P.

2007-03-06 - 0.13.3
	* es.po: update Spanish translation by Amaya Rodrigo

2007-02-13 - 0.13.2
	* hu.po: update Hungarian translation by Ványi Norbert

2007-01-27 - 0.13.1
	* fix MPsub loader (thank for bug report: Nicolas Maufrais)
	* hu.po: update Hungarian translation by Ványi Norbert
	* add dependance to pcrecpp

2007-01-21 - 0.13
	+ Add toggle button for scrolling option (timing system)
	+ Add support for loading/saving to a format Adobe Encore DVD by Laurens Keek
	+ nl.po: add Dutch translation by Laurens Keek

2006-12-14 - 0.12.4
	* fix: Subtitle ASS/SSA time saving (0:00:00.000 -> 0:00:00.00)

2006-12-11 - 0.12.3
	* fix: SubViewer 2.0 loader (thank for bug report: Zoran Dzelajlija)

2006-11-27 - 0.12.2
	* es.po: update Spanish translation by Amaya Rodrigo
	* hu.po: add Hungarian translation by Ványi Norbert

2006-11-22 - 0.12.1
	* pl.po: add Polish translation by Wojciech Myrda
	* pt_PT.po: add Portuguese translation by Joel calado
	* fix: configure.in check sed and egrep (remove macro. autotools >= 2.59)

2006-11-20 - 0.12
	* optimization (launch, open subtitle, ...)
	+ add timing button : play previous/first/last/next second 
	+ add simple gstreamer check (--check-gstreamer)
	* add man page by Amaya Rodrigo
	* fix: Options arg, clean, remove : --maximize, -s, -m
	* fix: Can open subtitle directly ex: "subtitleeditor mysubtitle.srt"
	* fix: bug #7456 (MicroDVD framerate)
	* fix: StyleEditor angle (0 <-> 360)
	* fix: update duration with waveform (timing system)
	* fix: configure.in AM_PATH_CPPUNIT error
	* fix: configure.in check gstreamer plugin (level)
	* fix: utility.cc iso_codes patch by Luboš Staněk
	* cs.po: update Czech translation by Luboš Staněk

2006-10-28 - 0.11.1
	* fix: configure.in iso-codes not found

2006-10-28 - 0.11
	+ fix: add DialogMoveSubtitles (h,cc,glade) and optimize
	* fix: optimize delete subtitle
	* fix: RegEx (patch by  Luboš Staněk)
	* fix: configure.in check libpcre (patch by  Luboš Staněk)
	* fix: configure.in check iso-codes
	* pt_BR.po : add Portugues Brazilian translation by Eduardo Elias
	* cs.po: update Czech translation by Luboš Staněk
	* es.po: update Spanish translation by Amaya Rodrigo

2006-10-18 - 0.11-alpha2
	+ add support multiline (treeview)
	+ add column characters per line (cpl)
	+ add unit tests (CppUnit).
	+ rewriting Spell Checking with enchant
	+ remove aspell
	+ rewriting "Find And Replace" with PCRE (RegEx.h, RegEx.cc)
	* remove "Find" and "Find Next" use "Find And Replace"
	* remove "Check Error Encoding"
	* HIG: add tooltips (treeview column)
	* fix: #7020
	* fix: "warp" to "wrap" patch by Luboš Staněk
	* cs.po: add czech translation by Luboš Staněk
	* es.po: update spanish translation by Amaya Rodrigo
	* move code ChangeFPS SubtitleModel->DialogChangeFPS
	* move code Scale SubtitleModel->DialogScale

2006-09-10 - 0.11-alpha1
	+ SSA/ASS Work now with mplayer svn (thank for bug report : Spyros Stathopoulos)
	+ add selection multiple (treeview)
	+ add column "duration" (treeview)
	+ add function "Add/Remove 100 ms"
	+ add function "Add/Remove 100 ms To Start"
	+ add function "Add/Remove 100 ms To Duration"
	+ add class SubtitleModifier (internal)
	* remove: dialog-video-properties.glade
	* Change Color structure (unsigned int rgba > unsigned int rgba[4])
	* fix: search/replace crash (ex: ?. by ?) (thank for bug report : Henrique	Malheiro)
	* fix: translation
	* fix: SSA/ASS color (save)
	* fix: SubRip time saving (0:00:00,000 -> 00:00:00,000)
	* debug message
	* big clean code
	* es.po: update spanish translation by Amaya Rodrigo

2006-08-29 - 0.10.1
	+ es.po: spanish translation by Amaya Rodrigo
	+ update README
	* fix: StyleEditor: button font work now
	* fix: DialogScale: validate entry
	* fix: SubtitleTime limit (0:59:59.999)

2006-08-15 - 0.10
	+ add timing fonction: Play Previous/First/Last/Next Second
	+ can add a new framerate for "Change FPS" (not save)
	+ Use now cairo for waveform (./configure --enable-cairo) (not finished)
	+ Use now this format "hours:mins:secs.msecs" ( ',' -> '.' )
	* fix: SubtitleTime decimal floating error (thank for bug report : KiKouN )
	* fix: SSA/ASS marginL/R/V 0 -> 0000
	* fix: Gtk::TreeView set_enable_search(false)
	* fix: configure.in --enable-aspell/--disable-aspell
	* fix: use by default "autoaudiosink" (gstreamer)
	* fix: dialog  open subtitle don't close (bug #6647)
	* HIG "Change FPS"

2006-07-23 - 0.9.1
	* fix: compiling error with gcc 4.1 (SubtitleMPsub.cc 59) thanks Rafal Glazar
		\\d don't work, change to [0-9]

2006-07-22 - 0.9
	+ add formats : MPL2 (open/save), MPsub(open/save), SubViewer2 (open)
	+ use the contents of the file to determine the subtitle format (regex)
	+ show subtitle format in statusbar : filename (format,charset)
	+ add subtitle system and exception system
	+ rewriting "find" and "find and replace" (can be use Regular Expression)
	+ rewriting "Video Player" (dialog preferences)
	+ add "move up/down" (encodings preferences)
	* video-player change #msecs to #seconds
	* fix: SSA/ASS ScriptType: "V4.00"/"V4.00+"
	* clean code


2006-06-17 - 0.8.1
	+ add "general" and "encodings" in the preferences	
	+ rewriting encodings system
	+ connect open media to open movie
	+ add key ["encodings"] used-auto-detected
	+ add --enable-debug and fix configure.in
	* fix: add ".wf" (save waveform)
	* fix: change msg "Time Check" : "Overlapping with previous subtitle"
	* fix: videoMovie use now URI
	* clean code

2006-06-01 - 0.8.0
	+ can open/save waveform
	+ video-player (preview) use now : #video_file, #video_uri, #subtitle_file,	#subtitle_uri, #msecs
	+ HIG: move "Change FPS" and "Scale" in "Tools"
	+ rewriting of the timing system
	+ safeguard the last repertory used (dialog open/save subtitle, open media, ...)
	+ config: add "audio-sink" and "video-sink"
	* fix: use now URI for open media (video/waveform)
	* fix: can now zoom [1,100] (timing system)
	* fix: play previous/next subtitle (timing system)

2006-05-06 - 0.8-alpha2
	+ add subitlteModel->remove(start,end)
	+ add Joint/Split Document
	+ can change video player (for preview) config [video-player] or dialog preferences, ...
	+ add dialog-preference
	+ add dialog error (open document, ...)
	+ fix: open subtitle error
	+ other fix,clean, ...

2006-04-25 - 0.8-alpha1
	+ clean source
	+ add gstreamer support
	+ add waveform
	+ add setup view "timing"
	+ change in file config [view] > [setup-view]
	* fix: dialog open movie > filter.add_mime_type("video/*")
	+ add Select Next/Previous subtitle (menu Edit)
	+ add move subtitle start/end +/- 
	+ document: default encoding use config [encodings] default=xxx
	+ ... arf!

2006-03-13 - 0.7.2
	+ add DialogSpellCheck : add button "Next Line"
	+ add Support Encodings (open,save) (utf-8, iso-xxxx, ...)
	+ add column effect and translation
	+ HIG: Dialog "Change FPS" change Gtk::SpinButton for Gtk::ComboBoxText
	+ HIG: Dialog "Find", Match Case, ...
	+ HIG: button OK | CANCEL -> CANCEL | OK
	+ HIG: MenuBar, Columns support, Mode
	+ HIG: dialog use glade file
	* fix: "Scale" works now (thanks for bug report : Jean-Baka Domelevo-Entfellner <domelevo at gmail dot com>)

2006-02-20 - 0.7.1
	+ add bindtextdomain, textdomain and g_set_application_name
	+ ca.po : catalan translation by Gil Forcada <gilforcada at guifi dor net>
	+ fr.po : french translation by Guillaume de Rugy <guillaume.derugy at free	dot fr>
	+ add dialog preferences
	+ add Alpha for color (now use RGBA)
	+ add support save cfg
	+ add support ASS (load/save)
	+ fix: save boolean -1=true, 0=false (ass,ssa)
	* fix: remove '*' in style name
	* fix: configure.in, autogen.sh makefile.am ...
	* fix: change "~/.subtitle_editor" to "~/.subtitleeditor"
	* HIG: Dialog "Style Editor" (thanks Eugenia Loli-Queru <eloli at hotmail	dot com>)

2006-02-05 - 0.7.0
	+ add support SSA
	* internal format ASS
	+ add Style Editor
	+ optimize and memory reduction
	* fix: save now aspell dico
	+ HIG Dialog "Scale"
	+ check ".srt" or ".ssa" DialogOpenSubtitle
	+ add menu Options: "Set View SRT" and "Set View SSA"
	+ now using glade for ui

2005-12-14 - 0.6.2
	* fix: select next line after delete
	+	add "Check Error Encodings"

2005-09-24 - 0.6.1
	+ add start and end column editable (time)

2005-09-23 - 0.6
	* fix: insert before/after select subtitle and set cursor
	+ now using one line and |
	* fix: load subtitle ('\015' & '\n')
	+ add "remove line nul"
	+ add "set all end time"
	+ add "import text" and "export text"
	+ HIG

2005-07-27 - 0.5
	+ add video filter *.mpeg and *.*
	+ add filter *.* for Open Subtitle, Save, Save AS
	* now using gtk(mm) 2.6
	* now using gtk stock gtk+ 2.6 (MEDIA_PLAY, EDIT, SPELL_CHECK)
	* dialog no delete : Edit Subtitle, Change FPS, Scale
	* fix: create subtitle item -> Insert before/after and Edit Subtitle
	+ add "Spell Check" using Aspell
	+ now using GOption for parse
	+ HIG

2005-07-07 - 0.4
	+ add "Find And Replace"
	+ add "Scale"
	+ add status bar
	* fix: save, save as, find, ...

2005-06-30 - 0.3.1
	+ fix: auto detect encoding (utf8,...)

2005-06-29 - 0.3
	+ fix: Edit Subtitle (line2==line1) thx > JJL

2005-06-27 - 0.2
	+ add "Change FPS"
	+ add option mplayer "-osdlevel 2"

2005-06-26 - 0.1
	* first release


